Skip to main content
`Ctrl`+`K`

# DMPlexCreate

Creates a `DMPLEX` object, which encapsulates an unstructured mesh, or CW complex, which can be expressed using a Hasse Diagram.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreate(MPI_Comm comm, DM *mesh)

Collective

## Input Parameter

- comm - The communicator for the `DMPLEX` object

## Output Parameter

- mesh - The `DMPLEX` object

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMType`, `DMCreate()`, `DMSetType()`

## Level

beginner

## Location

src/dm/impls/plex/plexcreate.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages